Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/3195/?format=api
{ "ob_id": 3195, "uuid": "9d827059c54b8e33dd6f7d438267f9f0", "title": "Polluted Troposphere TORCH2: University of Leeds OH lifetime measurments at Weybourne Atmospheric Observatory", "abstract": "Tropospheric ORganic CHemistry Experiment (TORCH) was a Natural Environment Research Council (NERC) Polluted Troposphere Research Programme project (Round 1 - NER/T/S/2002/00145. Duration 2002 - 2005) led by A. Lewis, University of York. TORCH 2 took place in April and May 2004 at Weybourne Atmospheric Observatory, on the north Norfolk coast.\r\n\r\nThis dataset contains OH Lifetime measurement Weybourne Atmospheric Observatory.", "keywords": "Polluted Troposphere, TORCH2, OH", "publicationState": "published", "dataPublishedTime": "2007-03-15T19:14:31", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/3196/?format=api", "dataPath": "/badc/polluted-tropo/data/torch/torch2_2004/leeds-oh-lifetime/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 29828, "numberOfFiles": 2, "fileFormat": "Data are NASA Ames formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/863/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/893/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/69391/?format=api" ], "dataLineage": "Data were collected at Writtle College, near Chelmsford, Essex between 27th July - 30th August 2003 and in April and May 2004 at Weybourne Atmospheric Observatory. Data files supplied as is to the BADC by the campaign participants.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2178/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14345/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/1875/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14346/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14095/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55513/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14094/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14093/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14096/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14097/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14098/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/14100/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55514/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/3197/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }